-- Plugins: UI
-- https://github.com/rafi/vim-config

return {

	-----------------------------------------------------------------------------
	{ 'nvim-tree/nvim-web-devicons', lazy = false },
	{ 'MunifTanjim/nui.nvim', lazy = false },
	{ 'rafi/tabstrip.nvim', lazy = false, priority = 98, opts = true },

	-----------------------------------------------------------------------------
	{
		'stevearc/dressing.nvim',
		init = function()
			---@diagnostic disable-next-line: duplicate-set-field
			vim.ui.select = function(...)
				require('lazy').load({ plugins = { 'dressing.nvim' } })
				return vim.ui.select(...)
			end
			---@diagnostic disable-next-line: duplicate-set-field
			vim.ui.input = function(...)
				require('lazy').load({ plugins = { 'dressing.nvim' } })
				return vim.ui.input(...)
			end
		end,
	},

	-----------------------------------------------------------------------------
	{
		'lukas-reineke/indent-blankline.nvim',
		event = 'FileType',
		keys = {
			{ '<Leader>ue', '<cmd>IndentBlanklineToggle<CR>' },
		},
		opts = {
			show_trailing_blankline_indent = false,
			disable_with_nolist = true,
			show_foldtext = false,
			char_priority = 100,
			filetype_exclude = {
				'lspinfo',
				'checkhealth',
				'git',
				'gitcommit',
				'help',
				'man',
				'lazy',
				'alpha',
				'dashboard',
				'terminal',
				'TelescopePrompt',
				'TelescopeResults',
				'neo-tree',
				'Outline',
				'mason',
				'Trouble',
			},
		},
	},

	-----------------------------------------------------------------------------
	{
		'tenxsoydev/tabs-vs-spaces.nvim',
		event = { 'BufReadPost', 'BufNewFile' },
		config = true,
	},
}
